<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <packaging>pom</packaging>
    <modules>
        <module>dump-schema</module>
        <module>dump</module>
        <module>api</module>
    </modules>

    <parent>
        <groupId>eu.dnetlib.dhp</groupId>
        <artifactId>dhp-workflows</artifactId>
        <version>1.2.4</version>
    </parent>

    <groupId>eu.dnetlib.dhp</groupId>
    <version>1.2.5-SNAPSHOT</version>
    <artifactId>dhp-graph-dump</artifactId>

    <repositories>
        <repository>
            <id>dnet45-releases</id>
            <name>D-Net 45 releases</name>
            <url>https://maven.d4science.org/nexus/content/repositories/dnet45-releases</url>
            <layout>default</layout>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
        <repository>
            <id>dnet45-snapshots</id>
            <name>D-Net 45 snapshots</name>
            <url>https://maven.d4science.org/nexus/content/repositories/dnet45-snapshots</url>
            <layout>default</layout>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <releases>
                <enabled>false</enabled>
            </releases>
        </repository>
        <repository>
            <id>dnet45-bootstrap-snapshot</id>
            <name>D-Net 45 Bootstrap Snapshot</name>
            <url>https://maven.d4science.org/nexus/content/repositories/dnet45-bootstrap-snapshot/</url>
            <releases>
                <enabled>false</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <layout>default</layout>
        </repository>
        <repository>
            <id>dnet45-bootstrap-release</id>
            <name>D-Net 45 Bootstrap Release</name>
            <url>https://maven.d4science.org/nexus/content/repositories/dnet45-bootstrap-release/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
            <layout>default</layout>
        </repository>
        <repository>
            <id>cloudera</id>
            <name>Cloudera Repository</name>
            <url>https://repository.cloudera.com/artifactory/cloudera-repos</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>iis-releases</id>
            <name>iis releases plugin repository</name>
            <url>https://maven.ceon.pl/artifactory/iis-releases</url>
            <layout>default</layout>
        </pluginRepository>
        <pluginRepository>
            <id>dnet45-snapshots</id>
            <name>D-Net 45 snapshots</name>
            <url>https://maven.d4science.org/nexus/content/repositories/dnet45-snapshots</url>
            <layout>default</layout>
        </pluginRepository>

    </pluginRepositories>
    <properties>
        <dhp.jsonschema.module.addon.version>1.2.1</dhp.jsonschema.module.addon.version>
        <jsonschemagenerator.version>4.13.0</jsonschemagenerator.version>
        <dhp.jackson.version>2.9.6</dhp.jackson.version>
        <junit-jupiter.version>5.6.1</junit-jupiter.version>
        <dhp.commons.lang.version>3.5</dhp.commons.lang.version>
        <dhp.guava.version>11.0.2</dhp.guava.version>
        <dhp-schemas.version>[4.17.2]</dhp-schemas.version>
    </properties>

</project>